---
Name: utility-show-net-interface-data
Description: Show the system interfaces for use by netplan/netwrangler.
Documentation: |
  Used to generate a JSON data structure that will identify a systems
  interfaces for use by the netplan/netwrangler based DRP network
  configuration utilities.

  The details from this output can be used to configure a systems via the
  supported Params:

    - `net/interface-topology`: physical device config and setup
    - `net/interface-config`: network addressing configuration

  This utility makes no changes to the system. 

  The JSON data generated will be captured in the Param `inventory/net-interface-data`.
Meta:
  color: blue
  icon: ethernet
  title: Digital Rebar Community Content
Tasks:
  - show-net-interface-data
